* {
  box-sizing: border-box;
}

body {
  padding-top: 70px;
  padding-bottom: 30px;
  display: flex;
  min-height: 100vh;
  flex-direction: column;
}

.container {
  max-width: 98%;
}

img {
  display: block;
  max-width: 100%;
  margin: 0 auto;
}

.btn-purple-light {
  color: #fff;
  text-shadow: none;
  .gradient-bg-img (lighten(@main-color, 20%), @main-color);
  border: 1px solid @main-color;
  &:hover {
    color: #fff;
    .gradient-bg-img (lighten(@main-color, 10%), darken(@main-color, 20%));
  }
}

nav.navbar-inverse {
  .gradient(@main-color, darken(@main-color, 10%));
  border-color: #5b3d75;

  .navbar-header a.navbar-brand {
    font-family: @logo-font;
    font-size: 27px;
    color: @logo-color;
    &:hover {
      color: @logo-color;
      text-shadow: 0 0 1px lighten(@logo-color, 10%);
    }
  }
  .navbar-collapse {
    max-height: 800px;
    .navbar-nav {
      .dropdown:focus,
      .dropdown:active {
        color: #fff;
        background-color: darken(@main-color, 10%);
      }
      > .open > a, > .open > a:hover {
        .gradient-bg-img (darken(@main-color, 10%), @main-color);
      }
      li {
        &.dropdown, &.menu-link {
          &:hover {
            .gradient(lighten(@main-color, 10%), @main-color);
          }
        }
        > a {
          color: #fff;
        }

        ul.dropdown-menu {
          border-color: lighten(@main-color, 50%);
          > li {
            > a {
              color: lighten(@main-color, 10%);
              background-color: #fff;
              &:hover {
                color: #fff;
                .gradient(lighten(@main-color, 30%), @main-color);
              }
            }
          }
        }
      }
    }
    .navbar-form {
      .form-control {
        &:focus {
          border-color: lighten(@main-color, 30%);
          outline: 0;
          box-shadow: inset 0 1px 1px rgba(255, 255, 255, 0.07), 0 0 8px rgba(157, 122, 233, 0.60);
        }
      }
    }
  }
}

.main-container {
  margin-bottom: 20px;
  flex: 1;
}

footer {
  .nav-list {
    .nav-header {
      color: darken(@main-color, 10%);
      font-weight: bold;
      text-transform: uppercase;
      text-shadow: 0 1px 0 lighten(@main-color, 20%);
    }
    li > a {
      color: lighten(@main-color, 10%);
      &:hover {
        background-color: #e8e8e8;
      }
    }
  }
}

@media (max-width: 1200px) {
  .navbar-nav {
    li.menu-people {
      display: none;
    }
  }
}

@media (max-width: 992px) {

  nav.navbar-inverse .navbar-collapse .navbar-nav {

    li.dropdown.reasons {
      display: none;
    }

  }

}

@media (max-width: 767px) {
  nav.navbar-inverse .navbar-collapse .navbar-nav {
    li.menu-people,
    li.dropdown.reasons {
      display: block;
    }
  }

}
